Issue1852

classification
Title: minidom
Type: behaviour Severity: normal
Components: None Versions: 2.5.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, ssteiner
Priority: Keywords:

Created on 2012-03-15.16:16:54 by ssteiner, last changed 2012-03-17.22:40:49 by amak.

Messages
msg6799 (view) Author: simon steiner (ssteiner) Date: 2012-03-15.16:16:53
<target name="test1">
    <script language="jython" setbeans="false">
        <![CDATA[
import xml.dom.minidom
print xml.dom.minidom.parseString('<x>a\nb</x>').getElementsByTagName('x')[0].childNodes
      ]]>
    </script>
</target>

i get

[<DOM Text node "a">, <DOM Text node "
b">]

i expected to get cpython

[<DOM Text node "u'a\nb'">]
msg6801 (view) Author: simon steiner (ssteiner) Date: 2012-03-16.08:58:29
seems to be fixed in ant 1.8.3
msg6803 (view) Author: Alan Kennedy (amak) Date: 2012-03-16.19:03:32
What version of jython was this run with?

I think this is a bug which was fixed here

http://hg.python.org/jython/diff/c4d1bd28293b/Lib/xml/dom/minidom.py
msg6812 (view) Author: Alan Kennedy (amak) Date: 2012-03-17.22:40:49
Closing this bug: the user can reopen if they can demonstrate the bug against the current release of jython.
History
Date User Action Args
2012-03-17 22:40:49amaksetstatus: open -> closed
resolution: out of date
messages: + msg6812
2012-03-16 19:03:32amaksetassignee: amak
messages: + msg6803
nosy: + amak
2012-03-16 08:58:29ssteinersetmessages: + msg6801
2012-03-15 16:16:54ssteinercreate